Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1044771 - Should hicolor-icon-theme own /usr/share/icons/hicolor/512x512?
Summary: Should hicolor-icon-theme own /usr/share/icons/hicolor/512x512?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hicolor-icon-theme
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-18 23:43 UTC by Sergio Pascual
Modified: 2014-12-27 09:24 UTC (History)
4 users (show)

Fixed In Version: hicolor-icon-theme-0.14-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-13 09:41:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 87107 0 None None None Never

Description Sergio Pascual 2013-12-18 23:43:00 UTC
Description of problem:
There is a number of directories under  /usr/share/icons/hicolor such as 16x16,
32x32, 128x128. All of them belong to hicolor-icon-theme (at least, some directories are owned also by fedora-logos, what is probably a packaging bug)

In my system there is also a /usr/share/icons/hicolor/512x512 that does not belong to any rpm (in my system, stellarium puts an icon there). I think that the directory belongs to hicolor-icon-them just like the others.

Version-Release number of selected component (if applicable):


hicolor-icon-theme-0.12-7.fc20.noarch

Comment 1 Dan Mashal 2014-02-27 21:00:44 UTC
In the spec file it says the package owns %{_datadir}/icons/hicolor is owned by the package.. im not sure why you are seeing this directory as unowned. Maybe it's created by some other package?

Comment 2 Sergio Pascual 2014-03-02 23:53:20 UTC
In my system

$ rpm -qf /usr/share/icons/hicolor
hicolor-icon-theme-0.12-7.fc20.noarch
fedora-logos-21.0.1-1.fc20.x86_64

$ rpm -qf /usr/share/icons/hicolor/192x192/
hicolor-icon-theme-0.12-7.fc20.noarch

$ rpm -qf /usr/share/icons/hicolor/512x512/
file /usr/share/icons/hicolor/512x512 is not owned by any package

Comment 3 David King 2014-12-08 16:08:12 UTC
The hicolor-icon-theme 0.13 release was supposed to create the 512x512 directory at install time, for which there is a corresponding upstream bug. Once there is a new release with that patch (or it is cherry-picked downstream), the Fedora hicolor-icon-theme package should own the directory.

I filed a patch for fedora-logos to depend on hicolor-icon-theme, and stop owning the hicolor directories, in bug 1170731.

Comment 4 Alexander Larsson 2014-12-09 12:54:22 UTC
http://icon-theme.freedesktop.org/releases/hicolor-icon-theme-0.14.tar.xz should fix this

Comment 5 Fedora Update System 2014-12-10 18:30:48 UTC
hicolor-icon-theme-0.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hicolor-icon-theme-0.14-1.fc21

Comment 6 Fedora Update System 2014-12-10 18:38:00 UTC
hicolor-icon-theme-0.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hicolor-icon-theme-0.14-1.fc20

Comment 7 Fedora Update System 2014-12-10 18:45:04 UTC
hicolor-icon-theme-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hicolor-icon-theme-0.14-1.fc19

Comment 8 Fedora Update System 2014-12-12 04:13:56 UTC
Package hicolor-icon-theme-0.14-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hicolor-icon-theme-0.14-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16601/hicolor-icon-theme-0.14-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-12-13 09:41:36 UTC
hicolor-icon-theme-0.14-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-20 08:35:36 UTC
hicolor-icon-theme-0.14-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-27 09:24:53 UTC
hicolor-icon-theme-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.